org.richfaces.fragment.select

## Class RichFacesSelect.SelectSuggestionsImpl

- java.lang.Object
- - org.richfaces.fragment.select.RichFacesSelect.SelectSuggestionsImpl

- All Implemented Interfaces:
    SelectSuggestions
  Enclosing class:
    RichFacesSelect

      public class RichFacesSelect.SelectSuggestionsImpl
      extends Object
      implements SelectSuggestions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectSuggestionsImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `select(ChoicePicker picker)` Selects the first option according to the given rules in `picker`param.``
    `void` | `select(int index)` Selects the option from the list of the options at index.
    `void` | `select(String match)` Selects the first option, which matches the given text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectSuggestionsImpl

          public SelectSuggestionsImpl()

  - ### Method Detail

    - #### select

          public void select(ChoicePicker picker)

      Description copied from interface: `SelectSuggestions`
      Selects the first option according to the given rules in `picker`param.``
      Specified by:
        `select` in interface `SelectSuggestions`

    - #### select

          public void select(String match)

      Description copied from interface: `SelectSuggestions`
      Selects the first option, which matches the given text.
      Specified by:
        `select` in interface `SelectSuggestions`
      Parameters:
        `match` - string to match the option

    - #### select

          public void select(int index)

      Description copied from interface: `SelectSuggestions`
      Selects the option from the list of the options at index.
      Specified by:
        `select` in interface `SelectSuggestions`
      Parameters:
        `index` - index of option

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.